import { Command, EditorState, Node, NodeType } from '@bangle.dev/pm';
export declare type MoveDirection = 'UP' | 'DOWN';
export declare function copyEmptyCommand(type: NodeType): Command;
export declare function cutEmptyCommand(type: NodeType): Command;
export declare function parentHasDirectParentOfType(parentType: NodeType, parentsParentType: NodeType | NodeType[]): (state: EditorState) => boolean;
/**
 * Moves a node up and down. Please do a sanity check if the node is allowed to move or not
 * before calling this command.
 *
 * @param {PMNodeType} type The items type
 * @param {['UP', 'DOWN']} dir
 */
export declare function moveNode(type: NodeType, dir?: MoveDirection): Command;
export declare const setSelectionAtEnd: (node: Node) => Command;
export declare function jumpToStartOfNode(type: NodeType): Command;
export declare function jumpToEndOfNode(type: NodeType): Command;
//# sourceMappingURL=pm-commands.d.ts.map